/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GD.Connection;

import GD.Data.IGazeContainer;
import GD.Connection.ETUD.ETUDGazeSource;

/**
 *
 * @author skim
 */
public class GazeSourceFactory {
    public static final String[] Products = new String[]{"ETUDriver"};
    
    public static IGazeSource getGazeSource(String driver, IGazeContainer callback) throws Exception{
        if (driver.contentEquals(Products[0]))
            return getETUDriverConnector(callback);
        
        throw new Exception("Not supported driver: " + driver);
    }
    
    private static IGazeSource getETUDriverConnector(IGazeContainer callback){
        return new ETUDGazeSource(callback);
    }
}
