/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GD.Graphics;

import java.util.*;

/**
 *
 * @author skim
 */
public class GazeMarkFactory {
    public static final String[] Products = new String[]{"Oval", "Oval with pointer", "Crosshair"};
    
    public static GazeMarkBase getMark(String name){
        //Oval mark
        if (name.contentEquals(Products[0]))
            return new MarkOval(Products[0]);
        
        //oval with pointer
        if (name.contentEquals(Products[1]))
            return new MarkOvalPointer(Products[1]);
        
        //crosshair mark
        if (name.contentEquals(Products[2]))
            return new MarkCrosshair(Products[2]);
        
        return null;
    }
}
