package GD.Graphics;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;
import java.util.HashMap;
import java.util.Iterator;

import GD.Data.EEntryType;
import GD.Data.IGazeClient;
import GD.Data.IGazeContainer;

public interface IGazeMapProducer {

	public EEntryType getDrawMode();
	public void setDrawMode(EEntryType t);

	public GazeMarkBase getMark();
	public void setMark(GazeMarkBase mark);

	public boolean getDrawShapes();
	public void setDrawShapes(boolean drawShapes);
	
	public boolean getDrawLabels();
	public void setDrawLabels(boolean drawLabels);
	
	public Rectangle2D BuildMap(HashMap<Short, IGazeClient> clients, BufferedImage image);
}
