package GD.Graphics;

import java.awt.Graphics;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.geom.Rectangle2D;

/**
 * Simple oval gaze data mark.
 * 
 * 
 * @version 2.0.0
 * @author Andrey Shipilov
 */

class MarkOval extends GazeMarkBase {
	
	public MarkOval(String typeName) {
            super(typeName);
	}

	public Rectangle2D draw(Graphics g, Point coords) {
		Rectangle2D outRect = new Rectangle();
		if (g != null) {
                    outRect = getSize();
                    outRect.setRect(coords.x - outRect.getWidth() / 2,
                        coords.y - outRect.getHeight() / 2, outRect.getWidth(),
			outRect.getHeight());
                    g.fillOval((int) outRect.getX(), (int) outRect.getY(),
                        (int) outRect.getWidth(), (int) outRect.getHeight());
		}

		return outRect;
	}
}
