/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GD.Connection.ETUD;

import GD.Data.Converter;
import GD.Data.GazeEntryBlink;
import GD.Data.GazeEntryFixation;
import GD.Data.IGazeContainer;
import com.sun.jna.Callback;
import java.awt.Point;

/**
 *
 * @author skim
 */
public class FixationCallback implements Callback{
    private IGazeContainer mGazeContainer;
    
    public FixationCallback(IGazeContainer container){
        mGazeContainer= container;
    }
    
    public void callback(int ordinal, int time, int duration, int eye, int x, int y) {
        Point coords = Converter.DisplayToServer(x, y);
        if (Converter.IsInsideDisplay(coords) && mGazeContainer != null)
        {
            synchronized(mGazeContainer){
                mGazeContainer.Add(new GazeEntryFixation(ordinal, time, duration, eye, coords));
            }
        }
            
    }
}
