package GD.Data;

/**
 * Enumeration of possible types of gaze data entries
 * 
 * @see Blink
 * @see Fixation
 * @see SingleSample
 * 
 * @version 2.1.0
 * @author Andrey Shipilov
 */
public enum EEntryType {

	/** Single Sample of gaze data */
	ET_SAMPLE,

	/** Fixation of gaze data samples */
	ET_FIXATION,

	/** Blink */
	ET_BLINK,
}