package GD.Data;

/**
 * Interface implementing all main gaze data entry methods
 * 
 * @see Blink
 * @see Fixation
 * @see SingleSample
 * 
 * @version 2.1.0
 * @author Andrey Shipilov
 */
public interface IGaze {
	int Duration();

	int Event();

	EEye Eye();

	int Ordinal();

	int PupilSize();

	int Timestamp();

	String ToString();
}
